function [F_HS] = F_HydroStatic(body,RB,n)

g = get(body,'g');
rho = get(body,'rho');
S = get(body,'S');
S11 = get(body,'S11');
S22 = get(body,'S22');
disp = get(body,'disp');
xG = get(body,'xG');
xB = get(body,'xB');
x = get(body,'sv');

rhog = rho*g;

C = zeros(6);
C(3,3) = rhog*S;
C(4,4) = rhog*(S22+disp*xB(3));
C(4,6) = -rhog*disp*xB(1);
C(5,6) = -rhog*disp*xB(2);
C(5,5) = rhog*(S11+disp*xB(3));

F_HS = zeros(1,6);

F_HS(3) = rhog*disp;
F_HS(4) = -rhog*disp*xB(2);
F_HS(5) = rhog*disp*xB(1);

for i = 1:6
   for j = 1:6
    F_HS(i) = F_HS(i)-C(i,j)*x(j);
  end
end

